Account Settings

(AccountSettings endpoints are only accessible to scope org_super and org_managerplus.)

23 of 23
POST/v1.0/accountSettings/categoriesChanges dataPermalink ↗

Creates new category for corp labels

Parameters

Device Labels CategorybodyDeviceAddCategoryrequired

Device Labels Category

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/categories" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
PUT/v1.0/accountSettings/categoriesChanges dataPermalink ↗

Categories Update

Parameters

modelbodyCategoryUpdateModelrequired

model

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/categories" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
DELETE/v1.0/accountSettings/categoriesDestructivePermalink ↗

Categories Delete

Parameters

modelbodyarrayrequired

model

cURL
curl -X DELETE "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/categories" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/accountSettings/deviceGroupsRead-onlyPermalink ↗

Get list of child device groups, visible to current account.

Parameters

offsetquerynumberrequired

The number of device groups to skip before starting to collect the result set. Will be ignored if export param is specified.

limitquerynumberrequired

The number of device groups to return. Will be ignored if export param is specified.

sortquerystringrequired

Sort field

Values: DESCRIPTION, PARENTCORPID, CITY, STATE, ZIP, DAILY_LIMIT, MONTHLY_LIMIT

sortDirquerystringrequired

Sort direction

Values: ASC, DESC

searchValuequerystring

The filter that can be used to search on the following fields - Group Description, Parent Group, State/Province, Street, City, Zip/Postal Code.

exportquerystring

Export format type. Currently only CSV is accepted.

Values: CSV

columnsquerystring

Comma separated list of columns for CSV export. Values - DESCRIPTION, PARENT_CORP_DESCRIPTION, CITY, STATE, ZIP, MONTHLY_LIMIT, DAILY_LIMIT

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/deviceGroups?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&searchValue=Bus&export=CSV&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/accountSettings/deviceGroupsChanges dataPermalink ↗

Create a new device group

Parameters

modelbodyDeviceGroupPostModelrequired

model

logoImageformDatafile

image file to upload as device group logo.

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/deviceGroups" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/accountSettings/deviceGroups/filteredRead-onlyPermalink ↗

Get list of child device groups, visible to current account, filtered by feature access

Parameters

featurequerystringrequired

Feature name

Values: ACTIVATION, ACCOUNT_SETTINGS, DASHBOARD, DATABRIDGE_KEY_CREATE, DEVICES, FIRMWARE, GPS, GROUP_CHANGE_NOTIFICATION, INSIGHTS, INSIGHTS_DEVICE_USAGE, INSIGHTS_DEVICE_USAGE_GROUPS, INSIGHTS_CONTENT

valuequerystring

Value of feature flag. Default - Y

Values: Y, N

inheritedquerystring

Enables or disables inheritance logic. If set to N, inheritance logic is disabled and only direct values form DB are taken into account.

Values: Y, N

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/deviceGroups/filtered?feature=value&value=value&inherited=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/accountSettings/deviceGroups/hierarchyRead-onlyPermalink ↗

Get list of device groups under users group

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/deviceGroups/hierarchy" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/accountSettings/deviceGroups/{corpId}Changes dataPermalink ↗

Update a device group

Parameters

corpIdpathstringrequired

corpId

modelbodyDeviceGroupPutModelrequired

model

logoImageformDatafile

image file to upload as device group logo. Null - no change, blank - use default.

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/deviceGroups/NORTHSTAR-ISD" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
POST/v1.0/accountSettings/labelsChanges dataPermalink ↗

Add a label to a device category. Accessible by parent corpID users with org_super or org_managerplus roles, excluding WBU type.

Parameters

Add Category LabelbodyDeviceAddLabelrequired

Add Category Label

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/labels" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
PUT/v1.0/accountSettings/labelsChanges dataPermalink ↗

Edit a label name. Accessible by parent corpID users with org_super or org_managerplus roles, excluding WBU type.

Parameters

Add Category LabelbodyDeviceEditLabelrequired

Add Category Label

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/labels" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
DELETE/v1.0/accountSettings/labelsDestructivePermalink ↗

Delete category label

Parameters

Delete labelbodyarrayrequired

Payload to delete a category label

cURL
curl -X DELETE "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/labels" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/accountSettings/rolesRead-onlyPermalink ↗

Get list of roles depending the user role.

Parameters

filteredquerybooleanrequired

To know if we are filtering the roles by hte users or returning all the roles in data base.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/roles?filtered=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/accountSettings/setChangeEmailConfirmationChanges dataPermalink ↗

Update the user email change request

Parameters

userNamequerystringrequired

The that the email belongs to.

userIdquerystringrequired

The userId who requested the email change.

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/setChangeEmailConfirmation?userName=value&userId=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/accountSettings/usersRead-onlyPermalink ↗

Get list of users under current account.

Parameters

offsetquerynumberrequired

The number of users to skip before starting to collect the result set. Will be ignored if export param is specified.

limitquerynumberrequired

The number of users to return. Will be ignored if export param is specified.

sortquerystring

Sort field

Values: USERNAME, FIRST_NAME, LAST_NAME, EMAIL, ROLE, DEVICE_GROUP, STATUS

sortDirquerystring

Sort direction

Values: ASC, DESC

searchValuequerystring

Search string to filter users list by User Name, First Name, Last Name, Email, Role, Device Group Name

columnsquerystring

Comma separated list of columns for CSV export. Values - FIRST_NAME, LAST_NAME, USER_NAME, ROLE, EMAIL, DEVICE_GROUP, STATUS.

exportquerystring

Export format. Currently only CSV is accepted.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/users?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&searchValue=Bus&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED&export=CSV" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/accountSettings/users/Changes dataPermalink ↗

Adds a new user under current account.

Parameters

modelbodyUserPut

model

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/users/" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/accountSettings/users/deviceGroupsListRead-onlyPermalink ↗

Get list of child device groups, visible to current account by email.

Parameters

emailquerystringrequired

Email Address

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/users/deviceGroupsList?email=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/accountSettings/users/status/{userName}DestructivePermalink ↗

Enable or disable a user.

Parameters

userNamepathstringrequired

User login name to identify user

modelbodyUserStatusUpdateRequest

model

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/users/status/admin@northstar-isd.edu" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/accountSettings/users/{userName}Changes dataPermalink ↗

Updates user under current account.

Parameters

userNamepathstringrequired

User login name to identify user

modelbodyUserPut

model

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/users/admin@northstar-isd.edu" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
DELETE/v1.0/accountSettings/users/{userName}DestructivePermalink ↗

Deletes user.

Parameters

userNamepathstringrequired

User login name to identify user

cURL
curl -X DELETE "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/users/admin@northstar-isd.edu" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/accountSettings/vpnSettingsRead-onlyPermalink ↗

Get VPN settings information for VPN management for the Logged in user

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/vpnSettings" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/accountSettings/vpnSettingsChanges dataPermalink ↗

Update VPN settings information for VPN management for the Logged in user

Parameters

modelbodyVpnGroupUpdateModelrequired

model

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/vpnSettings" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v2.0/accountSettings/usersRead-onlyPermalink ↗

Get list of users under current account.

Parameters

offsetquerynumberrequired

The number of users to skip before starting to collect the result set. Will be ignored if export param is specified.

limitquerynumberrequired

The number of users to return. Will be ignored if export param is specified.

sortquerystring

Sort field

Values: USERNAME, FIRST_NAME, LAST_NAME, EMAIL, ROLE, DEVICE_GROUP, STATUS

sortDirquerystring

Sort direction

Values: ASC, DESC

searchValuequerystring

Search string to filter users list by User Name, First Name, Last Name, Email, Role, Device Group Name

columnsquerystring

Comma separated list of columns for CSV export. Values - FIRST_NAME, LAST_NAME, USER_NAME, ROLE, EMAIL, DEVICE_GROUP, STATUS.

exportquerystring

Export format. Currently only CSV is accepted.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v2.0/accountSettings/users?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&searchValue=Bus&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED&export=CSV" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v2.0/accountSettings/users/{userName}Read-onlyPermalink ↗

Get full definition of User object.

Parameters

userNamepathstringrequired

Username to get full user details

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v2.0/accountSettings/users/admin@northstar-isd.edu" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"

Build your first call in 5 minutes.

Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.